package com.huimv.cattle.controller;


import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.cattle.pojo.FarmStockRank;
import com.huimv.cattle.service.FarmStockRankService;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/v1.0.0/farmStockRank")
public class FarmStockRankController {

    @Autowired
    private FarmStockRankService farmStockRankService;

    @PostMapping("/saveFarmStockRank")
    public Result add(@RequestBody FarmStockRank farmStockRank){
        String farm = farmStockRank.getFarm();
        FarmStockRank farm1 = farmStockRankService.getOne(new QueryWrapper<FarmStockRank>().eq("farm", farm));
        if (ObjectUtil.isNotEmpty(farm1)){
            farm1.setFarm(farmStockRank.getFarm());
            farm1.setStock(farmStockRank.getStock());
            farmStockRankService.updateById(farm1);
        }else {
            farmStockRankService.save(farmStockRank);
        }
        return new Result(10000,"添加成功",true);
    }
    @PostMapping("/updateFarmStockRank")
    public  Result update(@RequestBody FarmStockRank farmStockRank){
        farmStockRankService.updateById(farmStockRank);
        return new Result(10000,"修改成功",true);
    }
    @PostMapping("/deleteFarmStockRank")
    public  Result delete(@RequestBody Map<String,String> paramMap){
        String ids = paramMap.get("ids");
        String[] split = ids.split(",");
        for (String s : split) {
            farmStockRankService.removeById(s);
        }
        return new Result(10000,"删除成功",true);
    }
    @PostMapping("/getFarmStockRank")
    public  Result list(@RequestBody FarmStockRank farmStockRank){
        List<FarmStockRank> list = farmStockRankService.list(new QueryWrapper<FarmStockRank>().orderByDesc("stock"));
        if (ObjectUtil.isEmpty(list)){
            return new Result(ResultCode.SUCCESS,new ArrayList<>());
        }
        return new Result(ResultCode.SUCCESS,list);
    }
}

