package com.huimv.cattle.controller;


import com.huimv.cattle.service.OverviewService;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/v1.0.0/overview")
public class OverviewController {
    @Autowired
    private OverviewService overviewService;

    @PostMapping("/getOverview")
    public Result getOverView(@RequestBody Map<String,String> paramsMap) {
        return overviewService.overList(paramsMap);
    }

    @PostMapping("/saveOverview")
    public Result saveOverView(@RequestBody Map<String,String> paramsMap) {
        return overviewService.add(paramsMap);
    }

    @PostMapping("/deleteSaveOverview")
    public Result delete(@RequestBody Map<String,String> paramsMap) {
        String ids = paramsMap.get("ids");
        String[] id=ids.split(",");
        for (String s : id) {
            overviewService.removeById(s);
        }
        return new Result(ResultCode.SUCCESS,"删除成功");
    }
}

