package com.huimv.cattle.controller;


import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.cattle.pojo.SalesCattle;
import com.huimv.cattle.service.SalesCattleService;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/v1.0.0/salesCattle")
public class SalesCattleController {
    @Autowired
    private SalesCattleService salesCattleService;

    @PostMapping("/saveSalesCattle")
    public Result add(@RequestBody SalesCattle salesCattle){
        SalesCattle one = salesCattleService.getOne(new QueryWrapper<SalesCattle>().eq("year", salesCattle.getYear()).eq("quarter", salesCattle.getQuarter()));
        if (ObjectUtil.isNotEmpty(one)){
            one.setQuarter(salesCattle.getQuarter());
            one.setQuarterName(salesCattle.getQuarterName());
            one.setSalesCount(salesCattle.getSalesCount());
            one.setSalesMoney(salesCattle.getSalesMoney());
            one.setYear(salesCattle.getYear());
            salesCattleService.updateById(one);
        }else {
            salesCattleService.save(salesCattle);
        }
        return new Result(10000,"添加成功",true);
    }
    @PostMapping("/updateSalesCattle")
    public  Result update(@RequestBody SalesCattle salesCattle){
        salesCattleService.updateById(salesCattle);
        return new Result(10000,"修改成功",true);
    }
    @PostMapping("/deleteSalesCattle")
    public  Result delete(@RequestBody Map<String,String> paramMap){
        String ids = paramMap.get("ids");
        String[] split = ids.split(",");
        for (String s : split) {
            salesCattleService.removeById(s);
        }
        return new Result(10000,"删除成功",true);
    }
    @PostMapping("/getSalesCattle")
    public  Result list(@RequestBody SalesCattle salesCattle){
        List<SalesCattle> list = salesCattleService.list(new QueryWrapper<SalesCattle>().orderByDesc("year").orderByDesc("quarter"));
        if (ObjectUtil.isEmpty(list)){
            return new Result(ResultCode.SUCCESS,new ArrayList<>());
        }
        return new Result(ResultCode.SUCCESS,list);
    }
}

