package com.huimv.cattle.controller;


import com.huimv.cattle.service.StockService;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-14
 */
@RestController
@RequestMapping("/v1.0.0/all")
public class StockController {
    @Autowired
    private StockService stockService;
    @PostMapping("/getStock")
    public Result list(@RequestBody Map<String,String> paramsMap) {
        return stockService.getStock(paramsMap);
    }

    @PostMapping("/saveStock")
    public Result saveStock(@RequestBody Map<String,String> paramsMap) {
        return stockService.add(paramsMap);
    }

    @PostMapping("/deleteSaveStock")
    public Result delete(@RequestBody Map<String,String> paramsMap) {
        String ids = paramsMap.get("ids");
        String[] id=ids.split(",");
        for (String s : id) {
            stockService.removeById(s);
        }
        return new Result(ResultCode.SUCCESS,"删除成功");
    }
}

