package com.huimv.cattle.controller;


import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.cattle.pojo.Supervise;
import com.huimv.cattle.pojo.VaccineDelivery;
import com.huimv.cattle.service.SuperviseService;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/supervise")
public class SuperviseController {

    @Autowired
    private SuperviseService superviseService;

    @PostMapping("/saveSupervise")
    public Result add(@RequestBody Supervise supervise){
        Supervise superviseName = superviseService.getOne(new QueryWrapper<Supervise>().eq("supervise_name", supervise.getSuperviseName()));
        if (ObjectUtil.isNotEmpty(superviseName)){
            superviseName.setSuperviseCode(supervise.getSuperviseCode());
            superviseName.setSuperviseData(supervise.getSuperviseData());
            superviseName.setSuperviseName(supervise.getSuperviseName());
            superviseService.updateById(superviseName);
        }else {
            superviseService.save(supervise);
        }
        return new Result(10000,"添加成功",true);
    }
    @PostMapping("/updateSupervise")
    public  Result update(@RequestBody Supervise supervise){
        superviseService.updateById(supervise);
        return new Result(10000,"修改成功",true);
    }
    @PostMapping("/deleteSupervise")
    public  Result delete(@RequestBody Map<String,String> paramMap){
        String ids = paramMap.get("ids");
        String[] split = ids.split(",");
        for (String s : split) {
            superviseService.removeById(s);
        }
        return new Result(10000,"删除成功",true);
    }
    @PostMapping("/getSupervise")
    public  Result list(@RequestBody Supervise supervise){
        List<Supervise> list = superviseService.list(new QueryWrapper<Supervise>().orderByDesc("num"));
        if (ObjectUtil.isEmpty(list)){
            return new Result(ResultCode.SUCCESS,new ArrayList<>());
        }
        return new Result(ResultCode.SUCCESS,list);
    }

}

