package com.huimv.cattle.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.huimv.cattle.pojo.OnlineService;
import com.huimv.cattle.mapper.OnlineServiceMapper;
import com.huimv.cattle.service.OnlineServiceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@Service
public class OnlineServiceServiceImpl extends ServiceImpl<OnlineServiceMapper, OnlineService> implements OnlineServiceService {
    @Autowired
    private OnlineServiceMapper onlineServiceMapper;

    @Override
    public Result getOnlineService() {
        OnlineService onlineService = onlineServiceMapper.getOnlineService();
        if (ObjectUtil.isEmpty(onlineService)){
            onlineService = new OnlineService();
            onlineService.setTreatCount(0);
            onlineService.setDoctorCount(0);
            onlineService.setFarmerCount(0);
            onlineServiceMapper.insert(onlineService);
        }
        return new Result(ResultCode.SUCCESS,onlineService);
    }

    @Override
    public Result saveOnlineService(OnlineService onlineService) {
        if (ObjectUtil.isEmpty(onlineServiceMapper.selectById(onlineService))){
            OnlineService onlineService1 = new OnlineService();
            onlineService1.setTreatCount(onlineService.getTreatCount());
            onlineService1.setFarmerCount(onlineService.getFarmerCount());
            onlineService1.setDoctorCount(onlineService.getDoctorCount());
            onlineServiceMapper.insert(onlineService1);
        }else {
            onlineServiceMapper.updateById(onlineService);
        }
        return new Result(ResultCode.SUCCESS);
    }
}
